Index: src/mlx/common.py
===================================================================
--- src/mlx/common.py	(revision 1047)
+++ src/mlx/common.py	(revision 1191)
@@ -1,3 +1,5 @@
 import os
+import ssl
+import certifi
 
 #-----------------------------------------------------------------------------
@@ -44,2 +46,6 @@
 
     return newDict
+
+#-------------------------------------------------------------------------------
+
+sslContext = ssl.create_default_context(cafile = certifi.where())
Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 1176)
+++ src/mlx/gui/flight.py	(revision 1191)
@@ -30,5 +30,4 @@
 from io import StringIO
 import lxml.html
-import certifi
 
 #-----------------------------------------------------------------------------
@@ -3883,6 +3882,5 @@
 
             # Obtaining the xml
-            response = urllib.request.urlopen(link,
-                                              cafile = certifi.where())
+            response = urllib.request.urlopen(link, context = sslContext)
             content = etree.iterparse(response)
 
Index: src/mlx/rpc.py
===================================================================
--- src/mlx/rpc.py	(revision 1170)
+++ src/mlx/rpc.py	(revision 1191)
@@ -3,5 +3,5 @@
 from . import gates
 
-from .common import MAVA_BASE_URL, fixUnpickled
+from .common import MAVA_BASE_URL, fixUnpickled, sslContext
 
 import jsonrpclib
@@ -10,6 +10,4 @@
 import calendar
 import sys
-import ssl
-import certifi
 
 #---------------------------------------------------------------------------------------
@@ -727,6 +725,4 @@
         self._getCredentialsFn = getCredentialsFn
 
-        sslContext = ssl.SSLContext()
-        sslContext.load_verify_locations(cafile = certifi.where())
         transport = jsonrpclib.jsonrpc.SafeTransport(jsonrpclib.config.DEFAULT,
                                                      sslContext)
Index: src/mlx/update.py
===================================================================
--- src/mlx/update.py	(revision 977)
+++ src/mlx/update.py	(revision 1191)
@@ -12,5 +12,4 @@
 import traceback
 import io
-import certifi
 
 if os.name=="nt":
@@ -233,7 +232,9 @@
     f = None
     try:
+        from .common import sslContext
+
         updateManifest = Manifest()
         reply = urllib.request.urlopen(updateURL + "/" + manifestName,
-                                       cafile = certifi.where())
+                                       context = sslContext)
         charset = reply.headers.get_content_charset()
         content = reply.read().decode("utf-8" if charset is None else charset)
@@ -370,6 +371,8 @@
                 
             with open(targetFile, "wb") as fout:
+                from .common import sslContext
+
                 fin = urllib.request.urlopen(updateURL + "/" + path,
-                                             cafile = certifi.where())
+                                             context = sslContext)
                 while True:
                     data = fin.read(256*1024)
Index: src/mlx/web.py
===================================================================
--- src/mlx/web.py	(revision 1181)
+++ src/mlx/web.py	(revision 1191)
@@ -6,5 +6,5 @@
 from . import rpccommon
 
-from .common import MAVA_BASE_URL
+from .common import MAVA_BASE_URL, sslContext
 from .pirep import PIREP
 
@@ -629,5 +629,6 @@
                 "cookie": "akamai_pilotweb_access=true;"
             });
-            f = urllib.request.urlopen(request, timeout = 10.0, cafile=certifi.where())
+            f = urllib.request.urlopen(request, timeout = 10.0,
+                                       context = sslContext)
             try:
                 data = f.read(16384)
@@ -666,5 +667,6 @@
         try:
             url += data
-            f = urllib.request.urlopen(url, timeout = 10.0, cafile = certifi.where())
+            f = urllib.request.urlopen(url, timeout = 10.0,
+                                       context = sslContext)
             try:
                 for line in f.readlines():
